<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: dhcpd.php,v 1.6 2000/08/17 08:54:24 kevin Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-dhcpd", "/base/dhcpd/dhcpdHandler.php");

// get settings
$dhcpParamObj = $cceClient->getObject("DhcpParam");

$page = $factory->getPage();

$block = $factory->getPagedBlock("dhcpdSettings");

$block->addFormField(
  $factory->getBoolean("enableServerField", $dhcpParamObj["enabled"]),
  $factory->getLabel("enableServerField")
);

$block->addDivider($factory->getLabel("settingsForClients"));


$domName =  $factory->getDomainName("domainNameField", $dhcpParamObj["domainname"]);
$domName->setOptional(true);
$block->addFormField(
  $domName,
  $factory->getLabel("domainNameField")
);

$ipAddr =  $factory->getIpAddressList("dnsAddressesField", $dhcpParamObj["dns"]);
$ipAddr->setOptional(true);
$block->addFormField(
  $ipAddr,
  $factory->getLabel("dnsAddressesField")
);

$netMask =  $factory->getIpAddress("subnetMaskField", $dhcpParamObj["netmask"]);
$netMask->setOptional(true);
$block->addFormField(
  $netMask,
  $factory->getLabel("subnetMaskField")
);

$gateWay =  $factory->getIpAddress("gatewayField", $dhcpParamObj["gateway"]);
$gateWay->setOptional(true);
$block->addFormField(
  $gateWay,
  $factory->getLabel("gatewayField")
);

$block->addFormField(
  $factory->getInteger("maxLeaseField", $dhcpParamObj["lease"], 1),
  $factory->getLabel("maxLeaseField")
);

$block->addButton($factory->getSaveButton($page->getSubmitAction()));

$addressAssignments = $factory->getButton("/base/dhcpd/dhcpdList.php","addressAssignments");

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($addressAssignments->toHtml()); ?>
<BR>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>
