<?php
// Author: Andrew Bose, Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: dhcpdList.php,v 1.17 2000/08/17 08:54:24 kevin Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-dhcpd", "/base/dhcpd/dhcpdList.php");
$i18n = $serverScriptHelper->getI18n("base-dhcpd");

$page = $factory->getPage();

$backButton = $factory->getBackButton("/base/dhcpd/dhcpd.php");

// build the scroll list for dynamic assignments
$scrollList = $factory->getScrollList("dynamicAssignmentList", array("ipAddressLow", "ipAddressHi", "listActionDyn"), array(0, 1));
$scrollList->setAlignments(array("left", "left", "center"));
$scrollList->setColumnWidths(array("", "", "1%"));
$scrollList->addButton($factory->getAddButton("/base/dhcpd/dhcpdDynamicAdd.php"));

// build the scroll list for static assignments
$scrollList2 = $factory->getScrollList("staticAssignmentList", array("ipAddress", "macAddress", "listActionStatic"), array(0, 1));
$scrollList2->setAlignments(array("left", "left", "center"));
$scrollList2->setColumnWidths(array("", "", "1%"));
$scrollList2->addButton($factory->getAddButton("/base/dhcpd/dhcpdStaticAdd.php"));

$oids = $cceClient->find("DhcpDynamic");
$oids2 = $cceClient->find("DhcpStatic");

for($i = 0; $i < count($oids); $i++) {
  $dynamic = $cceClient->get($oids[$i]);
  $ipAddressLow = $dynamic["ipaddrlo"];
  $ipAddressHi = $dynamic["ipaddrhi"];

  $scrollList->addEntry(array(
    $factory->getIpAddress("", $ipAddressLow, "r"),
    $factory->getIpAddress("", $ipAddressHi, "r"),
    $factory->getCompositeFormField(array(
      $factory->getModifyButton("/base/dhcpd/dhcpdDynamicMod.php?ipaddrlo=$ipAddressLow"),
      $factory->getRemoveButton("javascript: confirmDynamicRemove('$ipAddressLow','$ipAddressHi')")
    ))
  ));
}

for($i = 0; $i < count($oids2); $i++) {
  $static = $cceClient->get($oids2[$i]);
  $ipAddress = $static["ipaddr"];
  $mac = $static["mac"];

  $scrollList2->addEntry(array(
    $factory->getIpAddress("", $ipAddress, "r"),
    $factory->getMacAddress("", $mac, "r"),
    $factory->getCompositeFormField(array(
      $factory->getModifyButton("/base/dhcpd/dhcpdStaticMod.php?ipaddr=$ipAddress"),
      $factory->getRemoveButton("javascript: confirmStaticRemove('$ipAddress','$mac')")
    ))
  ));
}

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<SCRIPT LANGUAGE="javascript">
function confirmDynamicRemove(ipAddressLow, ipAddressHi) {
  var message = "<?php print($i18n->get("removeDynamicConfirm"))?>";
  message = top.code.string_substitute(message, "[[VAR.ipAddressLow]]", ipAddressLow, "[[VAR.ipAddressHi]]", ipAddressHi);

  if(confirm(message))
    location = "/base/dhcpd/dynamicRemoveHandler.php?ipAddressLow="+ipAddressLow;
}

function confirmStaticRemove(ipAddress, macAddress) {
  var message = "<?php print($i18n->get("removeStaticConfirm"))?>";
  message = top.code.string_substitute(message, "[[VAR.ipAddress]]", ipAddress, "[[VAR.macAddress]]", macAddress);

  if(confirm(message))
    location = "/base/dhcpd/staticRemoveHandler.php?ipAddress="+ipAddress;
}
</SCRIPT>

<?php print($scrollList->toHtml()); ?>
<BR>

<?php print($scrollList2->toHtml()); ?>
<BR>
<?php print($backButton->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>
